# Form implementation generated from reading ui file 'src/eric7/UI/ClearPrivateDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ClearPrivateDataDialog(object):
    def setupUi(self, ClearPrivateDataDialog):
        ClearPrivateDataDialog.setObjectName("ClearPrivateDataDialog")
        ClearPrivateDataDialog.resize(400, 293)
        ClearPrivateDataDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(ClearPrivateDataDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.filesCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.filesCheckBox.setChecked(True)
        self.filesCheckBox.setObjectName("filesCheckBox")
        self.verticalLayout.addWidget(self.filesCheckBox)
        self.projectsCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.projectsCheckBox.setChecked(True)
        self.projectsCheckBox.setObjectName("projectsCheckBox")
        self.verticalLayout.addWidget(self.projectsCheckBox)
        self.multiProjectsCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.multiProjectsCheckBox.setChecked(True)
        self.multiProjectsCheckBox.setObjectName("multiProjectsCheckBox")
        self.verticalLayout.addWidget(self.multiProjectsCheckBox)
        self.debugCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.debugCheckBox.setChecked(True)
        self.debugCheckBox.setObjectName("debugCheckBox")
        self.verticalLayout.addWidget(self.debugCheckBox)
        self.shellCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.shellCheckBox.setChecked(True)
        self.shellCheckBox.setObjectName("shellCheckBox")
        self.verticalLayout.addWidget(self.shellCheckBox)
        self.testCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.testCheckBox.setChecked(True)
        self.testCheckBox.setObjectName("testCheckBox")
        self.verticalLayout.addWidget(self.testCheckBox)
        self.vcsCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.vcsCheckBox.setChecked(True)
        self.vcsCheckBox.setObjectName("vcsCheckBox")
        self.verticalLayout.addWidget(self.vcsCheckBox)
        self.line = QtWidgets.QFrame(parent=ClearPrivateDataDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.pluginsCheckBox = QtWidgets.QCheckBox(parent=ClearPrivateDataDialog)
        self.pluginsCheckBox.setChecked(True)
        self.pluginsCheckBox.setObjectName("pluginsCheckBox")
        self.verticalLayout.addWidget(self.pluginsCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ClearPrivateDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(ClearPrivateDataDialog)
        self.buttonBox.accepted.connect(ClearPrivateDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ClearPrivateDataDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ClearPrivateDataDialog)
        ClearPrivateDataDialog.setTabOrder(self.filesCheckBox, self.projectsCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.projectsCheckBox, self.multiProjectsCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.multiProjectsCheckBox, self.debugCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.debugCheckBox, self.shellCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.shellCheckBox, self.testCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.testCheckBox, self.vcsCheckBox)
        ClearPrivateDataDialog.setTabOrder(self.vcsCheckBox, self.pluginsCheckBox)

    def retranslateUi(self, ClearPrivateDataDialog):
        _translate = QtCore.QCoreApplication.translate
        ClearPrivateDataDialog.setWindowTitle(_translate("ClearPrivateDataDialog", "Clear Private Data"))
        self.filesCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the list of recently opened files"))
        self.filesCheckBox.setText(_translate("ClearPrivateDataDialog", "Recently opened files"))
        self.projectsCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the list of recently opened projects and project related histories"))
        self.projectsCheckBox.setText(_translate("ClearPrivateDataDialog", "Recently opened projects and project histories"))
        self.multiProjectsCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the list of recently opened multi projects"))
        self.multiProjectsCheckBox.setText(_translate("ClearPrivateDataDialog", "Recently opened multi projects"))
        self.debugCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the debug histories"))
        self.debugCheckBox.setText(_translate("ClearPrivateDataDialog", "Debug histories"))
        self.shellCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the shell histories"))
        self.shellCheckBox.setText(_translate("ClearPrivateDataDialog", "Shell histories"))
        self.testCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the test histories"))
        self.testCheckBox.setText(_translate("ClearPrivateDataDialog", "Test histories"))
        self.vcsCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the VCS related histories"))
        self.vcsCheckBox.setText(_translate("ClearPrivateDataDialog", "Version Control System histories"))
        self.pluginsCheckBox.setToolTip(_translate("ClearPrivateDataDialog", "Select to clear the private data of plug-ins not covered above"))
        self.pluginsCheckBox.setText(_translate("ClearPrivateDataDialog", "Plug-in private data"))
